NAN(3)

NAME
nan, nanf, nanl - return quiet NaN

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
nan(const char *tagp);
float
nanf(const char *tagp);
long double
nanl(const char *tagp);

DESCRIPTION
The call nan(n-char-sequence) is equivalent to the call strod(NAN(n-char-sequence), NULL). The call nan() is equivalent to the call strod(NAN(), NULL).

The nanf() and nanl() functions are equivalent to nan() but substituting strtof() and strtod(), respectively.

RETURN VALUES

  IEEE 754
The nan(), nanf(), and nanl() functions return a quiet NaN as specified by tagp.

  VAX
The nan(), nanf(), and nanl() functions return zero.

SEE ALSO
math(3), strtod(3)

STANDARDS
The nan(), nanf(), and nanl() functions conform to isoC-99.